#ifndef PNGTHREAD_H
#define PNGTHREAD_H


#include <QThread>
#include <QMutex>
#include <QString>

extern QList<QString> image_list;//1920或4096p下PNG图片保存时，要在定时器中处理PNG文件的生成，image_list用于保存路径链表，用于定时器中遍历
extern QMutex png_mutex;

class PngThread : public QThread
{
    Q_OBJECT
public:
    PngThread();
protected:
    void run();
Q_SIGNALS:
    void sig_photoname(QString photoname);
};

#endif // PNGTHREAD_H
