#ifndef VIDEODISPLAY_H
#define VIDEODISPLAY_H
#include <QObject>
#include <QPainter>
#include <QPaintEvent>
#include <QImage>
#include <QWidget>


class VideoDisplay : public QWidget
{
    Q_OBJECT
public:
    QWidget *videoDisplay;
    QImage m_image;
    VideoDisplay(QWidget *parent = nullptr);
    ~VideoDisplay();
protected:
    void paintEvent(QPaintEvent *);
public Q_SLOTS:
    void getFrame(QImage frame);
};

#endif // VIDEODISPLAY_H
