#ifndef GLOBALSIGNAL_H
#define GLOBALSIGNAL_H
#include <QObject>
#include <QImage>
#include <motor_client.h>

class GlobalSignal : public QObject
{
    Q_OBJECT
public:
    static GlobalSignal* getInstance();
    void getFrame(QImage frame);
    void debugFrame();
private:
    static GlobalSignal* instance;
    explicit GlobalSignal();
    ~GlobalSignal();
//    GlobalSignal(const GlobalSignal &) = delete;
//    GlobalSignal &operator = (const GlobalSignal &) = delete;

Q_SIGNALS:
    void getFrameSig(QImage);
    void threadEndRes(MotorReturn);
    void sig_motor_over_intel();
};

#endif // GLOBALSIGNAL_H
